#ifndef __LIB_DIMM_H__
#define __LIB_DIMM_H__

typedef enum e_dimm_version	{
    dimm_ver_none = 0,
    dimm_ver_2_0_0 = 2,
    dimm_ver_3_0_0 = 3,
    dimm_ver_max
}e_dimm_version;

#ifdef __cplusplus
extern "C" {
#endif

extern int mem_dev_type(char *buf, size_t size);
extern int mem_dev_speed(char *buf, size_t size);
extern int mem_dev_cap(char *buf, size_t size);
extern int mem_dev_is_sec_dimm(void);
extern int mem_dev_get_driver_version();
extern int mem_dev_check_virtualized_env();

#ifdef KYSEC_SEMEM_SHARED_LIBRARY
extern __attribute__((constructor)) void mem_dev_init(void);
#else
extern void mem_dev_init(void);
#endif

#ifdef __cplusplus
}
#endif

#endif
